com.maxmind.db

## Enum Reader.FileMode

- java.lang.Object
- - java.lang.Enum<Reader.FileMode>
  - - com.maxmind.db.Reader.FileMode

- All Implemented Interfaces:
    Serializable, Comparable<Reader.FileMode>
  Enclosing class:
    Reader

      public static enum Reader.FileMode
      extends Enum<Reader.FileMode>

  The file mode to use when opening a MaxMind DB.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MEMORY` Loads the database into memory when the reader is constructed.
    `MEMORY_MAPPED` The default file mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Reader.FileMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Reader.FileMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MEMORY

          public static final Reader.FileMode MEMORY

      Loads the database into memory when the reader is constructed.

    - #### MEMORY_MAPPED

          public static final Reader.FileMode MEMORY_MAPPED

      The default file mode. This maps the database to virtual memory. This often provides similar performance to loading the database into real memory without the overhead.

  - ### Method Detail

    - #### valueOf

          public static Reader.FileMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Reader.FileMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Reader.FileMode c : Reader.FileMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared